#!/bin/sh

if [ "$4" = "" ]; then
    echo "syntax is $0 m n dens distrib"
    echo "  m = sample size"
    echo "  n = signal size"
    echo "  dens = signal density"
    echo "  distrib = encoder distribution (uniform, normal)"
    exit 1
fi

echo "param m := $1;" > costly.dat
echo "param n := $2;" >> costly.dat
echo "param density := $3;" >> costly.dat

if [ "$4" = "uniform" ]; then
    echo "param ubnd := -2.0*m / 3.0;" > sampleA.run
    echo "let {i in M, j in N} A[i,j] := Uniform(-ubnd,ubnd);" >> sampleA.run
else
    echo "let {i in M, j in N} A[i,j] := Normal(0,1);" > sampleA.run
fi

time ampl costly.run


